------------------------------------------------------------
-- VHDL EOMDriverControlCPL1
-- 2015 7 10 10 21 4
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.0.15.41991
------------------------------------------------------------

------------------------------------------------------------
-- VHDL EOMDriverControlCPL1
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity EOMDriverControlCPL Is
  port
  (
    D      : Out   STD_LOGIC_VECTOR(15 DOWNTO 0);            -- ObjectKind=Port|PrimaryId=D[15..0]
    DIP    : In    STD_LOGIC_VECTOR(3 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=DIP[3..0]
    EXCEN  : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=EXCEN
    EXTEN  : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=EXTEN
    EXTVAL : In    STD_LOGIC_VECTOR(7 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=EXTVAL[7..0]
    G      : In    STD_LOGIC_VECTOR(3 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=G[3..0]
    GAIN   : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=GAIN[3..0]
    INTEXT : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=INTEXT
    LOOPON : Out   STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=LOOPON
    P      : In    STD_LOGIC_VECTOR(3 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=P[3..0]
    POL    : Out   STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=POL
    RFON   : In    STD_LOGIC;                                -- ObjectKind=Port|PrimaryId=RFON
    SPARE  : In    STD_LOGIC_VECTOR(3 DOWNTO 0);             -- ObjectKind=Port|PrimaryId=SPARE[3..0]
    SWA    : In    STD_LOGIC_VECTOR(11 DOWNTO 0);            -- ObjectKind=Port|PrimaryId=SWA[11..0]
    SWB    : In    STD_LOGIC_VECTOR(11 DOWNTO 0)             -- ObjectKind=Port|PrimaryId=SWB[11..0]
  );
  attribute MacroCell : boolean;

  attribute FPGA_IOSTANDARD : string;
  attribute FPGA_IOSTANDARD of D      : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of DIP    : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of EXCEN  : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of EXTEN  : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of EXTVAL : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of G      : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of GAIN   : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of INTEXT : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of LOOPON : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of P      : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of POL    : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of RFON   : Signal is "LVTTL33";
  attribute FPGA_IOSTANDARD of SPARE  : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of SWA    : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33";
  attribute FPGA_IOSTANDARD of SWB    : Signal is "LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33,LVTTL33";

  attribute FPGA_PULLUP : string;
  attribute FPGA_PULLUP of DIP    : Signal is "True,True,True,True";
  attribute FPGA_PULLUP of EXCEN  : Signal is "True";
  attribute FPGA_PULLUP of EXTEN  : Signal is "True";
  attribute FPGA_PULLUP of EXTVAL : Signal is "True,True,True,True,True,True,True,True";
  attribute FPGA_PULLUP of G      : Signal is "True,True,True,True";
  attribute FPGA_PULLUP of INTEXT : Signal is "True";
  attribute FPGA_PULLUP of P      : Signal is "True,True,True,True";
  attribute FPGA_PULLUP of RFON   : Signal is "True";
  attribute FPGA_PULLUP of SPARE  : Signal is "True,True,True,True";
  attribute FPGA_PULLUP of SWA    : Signal is "True,True,True,True,True,True,True,True,True,True,True,True";
  attribute FPGA_PULLUP of SWB    : Signal is "True,True,True,True,True,True,True,True,True,True,True,True";

  attribute FPGA_SLEW : string;
  attribute FPGA_SLEW of D      : Signal is "SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW,SLOW";
  attribute FPGA_SLEW of DIP    : Signal is "SLOW,SLOW,SLOW,SLOW";
  attribute FPGA_SLEW of EXCEN  : Signal is "SLOW";
  attribute FPGA_SLEW of EXTEN  : Signal is "SLOW";
  attribute FPGA_SLEW of GAIN   : Signal is "SLOW,SLOW,SLOW,SLOW";
  attribute FPGA_SLEW of INTEXT : Signal is "SLOW";
  attribute FPGA_SLEW of LOOPON : Signal is "SLOW";
  attribute FPGA_SLEW of POL    : Signal is "SLOW";
  attribute FPGA_SLEW of RFON   : Signal is "SLOW";
  attribute FPGA_SLEW of SPARE  : Signal is "SLOW,SLOW,SLOW,SLOW";


End EOMDriverControlCPL;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of EOMDriverControlCPL Is
   Component Configurable_U1                                 -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      port
      (
        DA : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DA[7..0]
        DB : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DB[7..0]
        DC : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DC[7..0]
        DD : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DD[7..0]
        DE : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DE[7..0]
        DF : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DF[7..0]
        DG : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DG[7..0]
        DH : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DH[7..0]
        DI : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DI[7..0]
        DJ : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DJ[7..0]
        DK : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DK[7..0]
        DL : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DL[7..0]
        DM : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DM[7..0]
        DN : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DN[7..0]
        DO : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DO[7..0]
        DP : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-DP[7..0]
        S  : in  STD_LOGIC_VECTOR(3 downto 0);               -- ObjectKind=Pin|PrimaryId=U1-S[3..0]
        Y  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U1-Y[7..0]
      );
   End Component;

   Component Configurable_U2                                 -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      port
      (
        A : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U2-A[7..0]
        B : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U2-B[7..0]
        S : out STD_LOGIC_VECTOR(7 downto 0)                 -- ObjectKind=Pin|PrimaryId=U2-S[7..0]
      );
   End Component;

   Component Configurable_U3                                 -- ObjectKind=Part|PrimaryId=U3|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 downto 0);               -- ObjectKind=Pin|PrimaryId=U3-I[11..0]
        O : out STD_LOGIC_VECTOR(11 downto 0)                -- ObjectKind=Pin|PrimaryId=U3-O[11..0]
      );
   End Component;

   Component Configurable_U4                                 -- ObjectKind=Part|PrimaryId=U4|SecondaryId=1
      port
      (
        I0_B : in  STD_LOGIC_VECTOR(3 downto 0);             -- ObjectKind=Pin|PrimaryId=U4-I0_B[3..0]
        I1_B : in  STD_LOGIC_VECTOR(3 downto 0);             -- ObjectKind=Pin|PrimaryId=U4-I1_B[3..0]
        O    : out STD_LOGIC_VECTOR(7 downto 0)              -- ObjectKind=Pin|PrimaryId=U4-O[7..0]
      );
   End Component;

   Component Configurable_U5                                 -- ObjectKind=Part|PrimaryId=U5|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 downto 0);               -- ObjectKind=Pin|PrimaryId=U5-I[11..0]
        O : out STD_LOGIC_VECTOR(11 downto 0)                -- ObjectKind=Pin|PrimaryId=U5-O[11..0]
      );
   End Component;

   Component Configurable_U6                                 -- ObjectKind=Part|PrimaryId=U6|SecondaryId=1
      port
      (
        DA : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U6-DA[7..0]
        DB : in  STD_LOGIC_VECTOR(7 downto 0);               -- ObjectKind=Pin|PrimaryId=U6-DB[7..0]
        S  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U6-S
        Y  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U6-Y[7..0]
      );
   End Component;

   Component Configurable_U7                                 -- ObjectKind=Part|PrimaryId=U7|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U7-I[7..0]
        O : out STD_LOGIC_VECTOR(7 downto 0)                 -- ObjectKind=Pin|PrimaryId=U7-O[7..0]
      );
   End Component;

   Component Configurable_U8                                 -- ObjectKind=Part|PrimaryId=U8|SecondaryId=1
      port
      (
        D_B : in  STD_LOGIC_VECTOR(7 downto 0);              -- ObjectKind=Pin|PrimaryId=U8-D_B[7..0]
        G   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U8-G
        Q_B : out STD_LOGIC_VECTOR(7 downto 0)               -- ObjectKind=Pin|PrimaryId=U8-Q_B[7..0]
      );
   End Component;

   Component Configurable_U9                                 -- ObjectKind=Part|PrimaryId=U9|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U9-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U9-O
      );
   End Component;

   Component Configurable_U10                                -- ObjectKind=Part|PrimaryId=U10|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U10-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U10-O
      );
   End Component;

   Component Configurable_U11                                -- ObjectKind=Part|PrimaryId=U11|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(3 downto 0);                -- ObjectKind=Pin|PrimaryId=U11-I[3..0]
        O : out STD_LOGIC_VECTOR(3 downto 0)                 -- ObjectKind=Pin|PrimaryId=U11-O[3..0]
      );
   End Component;

   Component Configurable_U12                                -- ObjectKind=Part|PrimaryId=U12|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(3 downto 0);                -- ObjectKind=Pin|PrimaryId=U12-I[3..0]
        O : out STD_LOGIC_VECTOR(3 downto 0)                 -- ObjectKind=Pin|PrimaryId=U12-O[3..0]
      );
   End Component;

   Component EOMDriverControlCPL2                            -- ObjectKind=Sheet Symbol|PrimaryId=SWdecode1
      port
      (
        A : in  STD_LOGIC_VECTOR(11 downto 0);               -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-A[11..0]
        O : out STD_LOGIC_VECTOR(3 downto 0)                 -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-O[3..0]
      );
   End Component;

   Component EOMDriverControlCPL3                            -- ObjectKind=Sheet Symbol|PrimaryId=Lookup
      port
      (
        A : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL3.Vhd-A[7..0]
        D : out STD_LOGIC_VECTOR(15 downto 0)                -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL3.Vhd-D[15..0]
      );
   End Component;


    Signal NamedSignal_DA        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DA[7..0]
    Signal NamedSignal_DB        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DB[7..0]
    Signal NamedSignal_DC        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DC[7..0]
    Signal NamedSignal_DD        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DD[7..0]
    Signal NamedSignal_DE        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DE[7..0]
    Signal NamedSignal_DF        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DF[7..0]
    Signal NamedSignal_DG        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DG[7..0]
    Signal NamedSignal_DH        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DH[7..0]
    Signal NamedSignal_DI        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DI[7..0]
    Signal NamedSignal_DJ        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DJ[7..0]
    Signal NamedSignal_DK        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DK[7..0]
    Signal NamedSignal_DL        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DL[7..0]
    Signal NamedSignal_DM        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DM[7..0]
    Signal NamedSignal_DN        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DN[7..0]
    Signal NamedSignal_DO        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal NamedSignal_DP        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DP[7..0]
    Signal NamedSignal_GND1_BUS  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_PL        : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=PL[3..0]
    Signal PinSignal_Lookup_D    : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=D[15..0]
    Signal PinSignal_SWdecode1_O : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU1_S[3..0]
    Signal PinSignal_SWdecode2_O : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetU4_I0_B[3..0]
    Signal PinSignal_U1_Y        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU1_Y[7..0]
    Signal PinSignal_U10_O       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU10_O
    Signal PinSignal_U11_O       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=PL[3..0]
    Signal PinSignal_U12_O       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GAIN[3..0]
    Signal PinSignal_U2_S        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_S[7..0]
    Signal PinSignal_U3_O        : STD_LOGIC_VECTOR(11 downto 0); -- ObjectKind=Net|PrimaryId=NetU3_O[11..0]
    Signal PinSignal_U4_O        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU2_B[7..0]
    Signal PinSignal_U5_O        : STD_LOGIC_VECTOR(11 downto 0); -- ObjectKind=Net|PrimaryId=NetU5_O[11..0]
    Signal PinSignal_U6_Y        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU6_Y[7..0]
    Signal PinSignal_U7_O        : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU7_O[7..0]
    Signal PinSignal_U8_Q_B      : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU6_DB[7..0]
    Signal PinSignal_U9_O        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU6_S




Begin
    SWdecode2 : EOMDriverControlCPL2                         -- ObjectKind=Sheet Symbol|PrimaryId=SWdecode2
      Port Map
      (
        A => PinSignal_U5_O,                                 -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-A[11..0]
        O => PinSignal_SWdecode2_O                           -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-O[3..0]
      );

    SWdecode1 : EOMDriverControlCPL2                         -- ObjectKind=Sheet Symbol|PrimaryId=SWdecode1
      Port Map
      (
        A => PinSignal_U3_O,                                 -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-A[11..0]
        O => PinSignal_SWdecode1_O                           -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL2.SchDoc-O[3..0]
      );

    Lookup : EOMDriverControlCPL3                            -- ObjectKind=Sheet Symbol|PrimaryId=Lookup
      Port Map
      (
        A => PinSignal_U6_Y,                                 -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL3.Vhd-A[7..0]
        D => PinSignal_Lookup_D                              -- ObjectKind=Sheet Entry|PrimaryId=EOMDriverControlCPL3.Vhd-D[15..0]
      );

    U12 : Configurable_U12                                   -- ObjectKind=Part|PrimaryId=U12|SecondaryId=1
      Port Map
      (
        I => G,                                              -- ObjectKind=Pin|PrimaryId=U12-I[3..0]
        O => PinSignal_U12_O                                 -- ObjectKind=Pin|PrimaryId=U12-O[3..0]
      );

    U11 : Configurable_U11                                   -- ObjectKind=Part|PrimaryId=U11|SecondaryId=1
      Port Map
      (
        I => P,                                              -- ObjectKind=Pin|PrimaryId=U11-I[3..0]
        O => PinSignal_U11_O                                 -- ObjectKind=Pin|PrimaryId=U11-O[3..0]
      );

    U10 : Configurable_U10                                   -- ObjectKind=Part|PrimaryId=U10|SecondaryId=1
      Port Map
      (
        I => RFON,                                           -- ObjectKind=Pin|PrimaryId=U10-I
        O => PinSignal_U10_O                                 -- ObjectKind=Pin|PrimaryId=U10-O
      );

    U9 : Configurable_U9                                     -- ObjectKind=Part|PrimaryId=U9|SecondaryId=1
      Port Map
      (
        I => INTEXT,                                         -- ObjectKind=Pin|PrimaryId=U9-I
        O => PinSignal_U9_O                                  -- ObjectKind=Pin|PrimaryId=U9-O
      );

    U8 : Configurable_U8                                     -- ObjectKind=Part|PrimaryId=U8|SecondaryId=1
      Port Map
      (
        D_B => PinSignal_U7_O,                               -- ObjectKind=Pin|PrimaryId=U8-D_B[7..0]
        G   => EXTEN,                                        -- ObjectKind=Pin|PrimaryId=U8-G
        Q_B => PinSignal_U8_Q_B                              -- ObjectKind=Pin|PrimaryId=U8-Q_B[7..0]
      );

    U7 : Configurable_U7                                     -- ObjectKind=Part|PrimaryId=U7|SecondaryId=1
      Port Map
      (
        I => EXTVAL,                                         -- ObjectKind=Pin|PrimaryId=U7-I[7..0]
        O => PinSignal_U7_O                                  -- ObjectKind=Pin|PrimaryId=U7-O[7..0]
      );

    U6 : Configurable_U6                                     -- ObjectKind=Part|PrimaryId=U6|SecondaryId=1
      Port Map
      (
        DA => PinSignal_U2_S,                                -- ObjectKind=Pin|PrimaryId=U6-DA[7..0]
        DB => PinSignal_U8_Q_B,                              -- ObjectKind=Pin|PrimaryId=U6-DB[7..0]
        S  => PinSignal_U9_O,                                -- ObjectKind=Pin|PrimaryId=U6-S
        Y  => PinSignal_U6_Y                                 -- ObjectKind=Pin|PrimaryId=U6-Y[7..0]
      );

    U5 : Configurable_U5                                     -- ObjectKind=Part|PrimaryId=U5|SecondaryId=1
      Port Map
      (
        I => SWB,                                            -- ObjectKind=Pin|PrimaryId=U5-I[11..0]
        O => PinSignal_U5_O                                  -- ObjectKind=Pin|PrimaryId=U5-O[11..0]
      );

    U4 : Configurable_U4                                     -- ObjectKind=Part|PrimaryId=U4|SecondaryId=1
      Port Map
      (
        I0_B => PinSignal_SWdecode2_O,                       -- ObjectKind=Pin|PrimaryId=U4-I0_B[3..0]
        I1_B => NamedSignal_GND1_BUS,                        -- ObjectKind=Pin|PrimaryId=U4-I1_B[3..0]
        O    => PinSignal_U4_O                               -- ObjectKind=Pin|PrimaryId=U4-O[7..0]
      );

    U3 : Configurable_U3                                     -- ObjectKind=Part|PrimaryId=U3|SecondaryId=1
      Port Map
      (
        I => SWA,                                            -- ObjectKind=Pin|PrimaryId=U3-I[11..0]
        O => PinSignal_U3_O                                  -- ObjectKind=Pin|PrimaryId=U3-O[11..0]
      );

    U2 : Configurable_U2                                     -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      Port Map
      (
        A => PinSignal_U1_Y,                                 -- ObjectKind=Pin|PrimaryId=U2-A[7..0]
        B => PinSignal_U4_O,                                 -- ObjectKind=Pin|PrimaryId=U2-B[7..0]
        S => PinSignal_U2_S                                  -- ObjectKind=Pin|PrimaryId=U2-S[7..0]
      );

    U1 : Configurable_U1                                     -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      Port Map
      (
        DA => NamedSignal_DA,                                -- ObjectKind=Pin|PrimaryId=U1-DA[7..0]
        DB => NamedSignal_DB,                                -- ObjectKind=Pin|PrimaryId=U1-DB[7..0]
        DC => NamedSignal_DC,                                -- ObjectKind=Pin|PrimaryId=U1-DC[7..0]
        DD => NamedSignal_DD,                                -- ObjectKind=Pin|PrimaryId=U1-DD[7..0]
        DE => NamedSignal_DE,                                -- ObjectKind=Pin|PrimaryId=U1-DE[7..0]
        DF => NamedSignal_DF,                                -- ObjectKind=Pin|PrimaryId=U1-DF[7..0]
        DG => NamedSignal_DG,                                -- ObjectKind=Pin|PrimaryId=U1-DG[7..0]
        DH => NamedSignal_DH,                                -- ObjectKind=Pin|PrimaryId=U1-DH[7..0]
        DI => NamedSignal_DI,                                -- ObjectKind=Pin|PrimaryId=U1-DI[7..0]
        DJ => NamedSignal_DJ,                                -- ObjectKind=Pin|PrimaryId=U1-DJ[7..0]
        DK => NamedSignal_DK,                                -- ObjectKind=Pin|PrimaryId=U1-DK[7..0]
        DL => NamedSignal_DL,                                -- ObjectKind=Pin|PrimaryId=U1-DL[7..0]
        DM => NamedSignal_DM,                                -- ObjectKind=Pin|PrimaryId=U1-DM[7..0]
        DN => NamedSignal_DN,                                -- ObjectKind=Pin|PrimaryId=U1-DN[7..0]
        DO => NamedSignal_DO,                                -- ObjectKind=Pin|PrimaryId=U1-DO[7..0]
        DP => NamedSignal_DP,                                -- ObjectKind=Pin|PrimaryId=U1-DP[7..0]
        S  => PinSignal_SWdecode1_O,                         -- ObjectKind=Pin|PrimaryId=U1-S[3..0]
        Y  => PinSignal_U1_Y                                 -- ObjectKind=Pin|PrimaryId=U1-Y[7..0]
      );

    -- Signal Assignments
    ---------------------
    D                    <= PinSignal_Lookup_D; -- ObjectKind=Net|PrimaryId=D[15..0]
    GAIN                 <= PinSignal_U12_O; -- ObjectKind=Net|PrimaryId=GAIN[3..0]
    LOOPON               <= PinSignal_U10_O; -- ObjectKind=Net|PrimaryId=NetU10_O
    NamedSignal_DA       <= "00000000"; -- ObjectKind=Net|PrimaryId=DA[7..0]
    NamedSignal_DB       <= "00001010"; -- ObjectKind=Net|PrimaryId=DB[7..0]
    NamedSignal_DC       <= "00010100"; -- ObjectKind=Net|PrimaryId=DC[7..0]
    NamedSignal_DD       <= "00011110"; -- ObjectKind=Net|PrimaryId=DD[7..0]
    NamedSignal_DE       <= "00101000"; -- ObjectKind=Net|PrimaryId=DE[7..0]
    NamedSignal_DF       <= "00110010"; -- ObjectKind=Net|PrimaryId=DF[7..0]
    NamedSignal_DG       <= "00111100"; -- ObjectKind=Net|PrimaryId=DG[7..0]
    NamedSignal_DH       <= "01000110"; -- ObjectKind=Net|PrimaryId=DH[7..0]
    NamedSignal_DI       <= "01010000"; -- ObjectKind=Net|PrimaryId=DI[7..0]
    NamedSignal_DJ       <= "01011010"; -- ObjectKind=Net|PrimaryId=DJ[7..0]
    NamedSignal_DK       <= "01100100"; -- ObjectKind=Net|PrimaryId=DK[7..0]
    NamedSignal_DL       <= "01101110"; -- ObjectKind=Net|PrimaryId=DL[7..0]
    NamedSignal_DM       <= "01101110"; -- ObjectKind=Net|PrimaryId=DM[7..0]
    NamedSignal_DN       <= "01101110"; -- ObjectKind=Net|PrimaryId=DN[7..0]
    NamedSignal_DO       <= "01101110"; -- ObjectKind=Net|PrimaryId=DO[7..0]
    NamedSignal_DP       <= "01101110"; -- ObjectKind=Net|PrimaryId=DP[7..0]
    NamedSignal_GND1_BUS <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_PL       <= PinSignal_U11_O; -- ObjectKind=Net|PrimaryId=PL[3..0]
    POL                  <= NamedSignal_PL(0); -- ObjectKind=Net|PrimaryId=PL0

End Structure;
------------------------------------------------------------

