------------------------------------------------------------
-- VHDL EOMDriverControlCPL2
-- 2015 7 10 10 21 4
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.0.15.41991
------------------------------------------------------------

------------------------------------------------------------
-- VHDL EOMDriverControlCPL2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity EOMDriverControlCPL2 Is
  port
  (
    A : In    STD_LOGIC_VECTOR(11 DOWNTO 0);                 -- ObjectKind=Port|PrimaryId=A[11..0]
    O : Out   STD_LOGIC_VECTOR(3 DOWNTO 0)                   -- ObjectKind=Port|PrimaryId=O[3..0]
  );
  attribute MacroCell : boolean;

End EOMDriverControlCPL2;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of EOMDriverControlCPL2 Is
   Component Configurable_U16                                -- ObjectKind=Part|PrimaryId=U16|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U16-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U16-O
      );
   End Component;

   Component Configurable_U17                                -- ObjectKind=Part|PrimaryId=U17|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U17-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U17-O
      );
   End Component;

   Component Configurable_U20                                -- ObjectKind=Part|PrimaryId=U20|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U20-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U20-O
      );
   End Component;

   Component Configurable_U21                                -- ObjectKind=Part|PrimaryId=U21|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U21-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U21-O
      );
   End Component;

   Component Configurable_U24                                -- ObjectKind=Part|PrimaryId=U24|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U24-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U24-O
      );
   End Component;

   Component Configurable_U25                                -- ObjectKind=Part|PrimaryId=U25|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U25-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U25-O
      );
   End Component;

   Component Configurable_U28                                -- ObjectKind=Part|PrimaryId=U28|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U28-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U28-O
      );
   End Component;

   Component Configurable_U29                                -- ObjectKind=Part|PrimaryId=U29|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U29-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U29-O
      );
   End Component;

   Component Configurable_U32                                -- ObjectKind=Part|PrimaryId=U32|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U32-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U32-O
      );
   End Component;

   Component Configurable_U33                                -- ObjectKind=Part|PrimaryId=U33|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U33-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U33-O
      );
   End Component;

   Component Configurable_U36                                -- ObjectKind=Part|PrimaryId=U36|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U36-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U36-O
      );
   End Component;

   Component Configurable_U37                                -- ObjectKind=Part|PrimaryId=U37|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U37-I10
        O   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U37-O
      );
   End Component;

   Component E16_4B                                          -- ObjectKind=Part|PrimaryId=U15|SecondaryId=1
      port
      (
        A : out STD_LOGIC_VECTOR(3 downto 0);                -- ObjectKind=Pin|PrimaryId=U15-A[3..0]
        D : in  STD_LOGIC_VECTOR(15 downto 0)                -- ObjectKind=Pin|PrimaryId=U15-D[15..0]
      );
   End Component;

   Component LDC                                             -- ObjectKind=Part|PrimaryId=U13|SecondaryId=1
      port
      (
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U13-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U13-D
        G   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U13-G
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U13-Q
      );
   End Component;


    Signal NamedSignal_A        : STD_LOGIC_VECTOR(11 downto 0); -- ObjectKind=Net|PrimaryId=A[11..0]
    Signal NamedSignal_AA       : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=AA[15..0]
    Signal NamedSignal_GND1_BUS : STD_LOGIC_VECTOR(15 downto 12); -- ObjectKind=Net|PrimaryId=AA[15..12]
    Signal PinSignal_U13_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA0
    Signal PinSignal_U14_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA6
    Signal PinSignal_U15_A      : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=O[3..0]
    Signal PinSignal_U16_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU13_CLR
    Signal PinSignal_U17_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU14_CLR
    Signal PinSignal_U18_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA1
    Signal PinSignal_U19_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA7
    Signal PinSignal_U20_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU18_CLR
    Signal PinSignal_U21_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU19_CLR
    Signal PinSignal_U22_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA2
    Signal PinSignal_U23_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA8
    Signal PinSignal_U24_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU22_CLR
    Signal PinSignal_U25_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU23_CLR
    Signal PinSignal_U26_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA3
    Signal PinSignal_U27_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA9
    Signal PinSignal_U28_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU26_CLR
    Signal PinSignal_U29_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU27_CLR
    Signal PinSignal_U30_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA4
    Signal PinSignal_U31_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA10
    Signal PinSignal_U32_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU30_CLR
    Signal PinSignal_U33_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU31_CLR
    Signal PinSignal_U34_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA5
    Signal PinSignal_U35_Q      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=AA11
    Signal PinSignal_U36_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU34_CLR
    Signal PinSignal_U37_O      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU35_CLR
    Signal PowerSignal_VCC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U37 : Configurable_U37                                   -- ObjectKind=Part|PrimaryId=U37|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U37-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U37-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U37-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U37-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U37-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U37-I5
        I6  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U37-I6
        I7  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U37-I7
        I8  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U37-I8
        I9  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U37-I9
        I10 => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U37-I10
        O   => PinSignal_U37_O                               -- ObjectKind=Pin|PrimaryId=U37-O
      );

    U36 : Configurable_U36                                   -- ObjectKind=Part|PrimaryId=U36|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U36-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U36-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U36-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U36-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U36-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U36-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U36-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U36-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U36-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U36-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U36-I10
        O   => PinSignal_U36_O                               -- ObjectKind=Pin|PrimaryId=U36-O
      );

    U35 : LDC                                                -- ObjectKind=Part|PrimaryId=U35|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U37_O,                              -- ObjectKind=Pin|PrimaryId=U35-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U35-D
        G   => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U35-G
        Q   => PinSignal_U35_Q                               -- ObjectKind=Pin|PrimaryId=U35-Q
      );

    U34 : LDC                                                -- ObjectKind=Part|PrimaryId=U34|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U36_O,                              -- ObjectKind=Pin|PrimaryId=U34-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U34-D
        G   => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U34-G
        Q   => PinSignal_U34_Q                               -- ObjectKind=Pin|PrimaryId=U34-Q
      );

    U33 : Configurable_U33                                   -- ObjectKind=Part|PrimaryId=U33|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U33-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U33-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U33-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U33-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U33-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U33-I5
        I6  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U33-I6
        I7  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U33-I7
        I8  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U33-I8
        I9  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U33-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U33-I10
        O   => PinSignal_U33_O                               -- ObjectKind=Pin|PrimaryId=U33-O
      );

    U32 : Configurable_U32                                   -- ObjectKind=Part|PrimaryId=U32|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U32-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U32-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U32-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U32-I3
        I4  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U32-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U32-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U32-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U32-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U32-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U32-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U32-I10
        O   => PinSignal_U32_O                               -- ObjectKind=Pin|PrimaryId=U32-O
      );

    U31 : LDC                                                -- ObjectKind=Part|PrimaryId=U31|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U33_O,                              -- ObjectKind=Pin|PrimaryId=U31-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U31-D
        G   => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U31-G
        Q   => PinSignal_U31_Q                               -- ObjectKind=Pin|PrimaryId=U31-Q
      );

    U30 : LDC                                                -- ObjectKind=Part|PrimaryId=U30|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U32_O,                              -- ObjectKind=Pin|PrimaryId=U30-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U30-D
        G   => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U30-G
        Q   => PinSignal_U30_Q                               -- ObjectKind=Pin|PrimaryId=U30-Q
      );

    U29 : Configurable_U29                                   -- ObjectKind=Part|PrimaryId=U29|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U29-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U29-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U29-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U29-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U29-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U29-I5
        I6  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U29-I6
        I7  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U29-I7
        I8  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U29-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U29-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U29-I10
        O   => PinSignal_U29_O                               -- ObjectKind=Pin|PrimaryId=U29-O
      );

    U28 : Configurable_U28                                   -- ObjectKind=Part|PrimaryId=U28|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U28-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U28-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U28-I2
        I3  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U28-I3
        I4  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U28-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U28-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U28-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U28-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U28-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U28-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U28-I10
        O   => PinSignal_U28_O                               -- ObjectKind=Pin|PrimaryId=U28-O
      );

    U27 : LDC                                                -- ObjectKind=Part|PrimaryId=U27|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U29_O,                              -- ObjectKind=Pin|PrimaryId=U27-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U27-D
        G   => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U27-G
        Q   => PinSignal_U27_Q                               -- ObjectKind=Pin|PrimaryId=U27-Q
      );

    U26 : LDC                                                -- ObjectKind=Part|PrimaryId=U26|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U28_O,                              -- ObjectKind=Pin|PrimaryId=U26-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U26-D
        G   => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U26-G
        Q   => PinSignal_U26_Q                               -- ObjectKind=Pin|PrimaryId=U26-Q
      );

    U25 : Configurable_U25                                   -- ObjectKind=Part|PrimaryId=U25|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U25-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U25-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U25-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U25-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U25-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U25-I5
        I6  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U25-I6
        I7  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U25-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U25-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U25-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U25-I10
        O   => PinSignal_U25_O                               -- ObjectKind=Pin|PrimaryId=U25-O
      );

    U24 : Configurable_U24                                   -- ObjectKind=Part|PrimaryId=U24|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U24-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U24-I1
        I2  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U24-I2
        I3  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U24-I3
        I4  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U24-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U24-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U24-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U24-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U24-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U24-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U24-I10
        O   => PinSignal_U24_O                               -- ObjectKind=Pin|PrimaryId=U24-O
      );

    U23 : LDC                                                -- ObjectKind=Part|PrimaryId=U23|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U25_O,                              -- ObjectKind=Pin|PrimaryId=U23-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U23-D
        G   => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U23-G
        Q   => PinSignal_U23_Q                               -- ObjectKind=Pin|PrimaryId=U23-Q
      );

    U22 : LDC                                                -- ObjectKind=Part|PrimaryId=U22|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U24_O,                              -- ObjectKind=Pin|PrimaryId=U22-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U22-D
        G   => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U22-G
        Q   => PinSignal_U22_Q                               -- ObjectKind=Pin|PrimaryId=U22-Q
      );

    U21 : Configurable_U21                                   -- ObjectKind=Part|PrimaryId=U21|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U21-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U21-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U21-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U21-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U21-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U21-I5
        I6  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U21-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U21-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U21-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U21-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U21-I10
        O   => PinSignal_U21_O                               -- ObjectKind=Pin|PrimaryId=U21-O
      );

    U20 : Configurable_U20                                   -- ObjectKind=Part|PrimaryId=U20|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U20-I0
        I1  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U20-I1
        I2  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U20-I2
        I3  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U20-I3
        I4  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U20-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U20-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U20-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U20-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U20-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U20-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U20-I10
        O   => PinSignal_U20_O                               -- ObjectKind=Pin|PrimaryId=U20-O
      );

    U19 : LDC                                                -- ObjectKind=Part|PrimaryId=U19|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U21_O,                              -- ObjectKind=Pin|PrimaryId=U19-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U19-D
        G   => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U19-G
        Q   => PinSignal_U19_Q                               -- ObjectKind=Pin|PrimaryId=U19-Q
      );

    U18 : LDC                                                -- ObjectKind=Part|PrimaryId=U18|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U20_O,                              -- ObjectKind=Pin|PrimaryId=U18-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U18-D
        G   => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U18-G
        Q   => PinSignal_U18_Q                               -- ObjectKind=Pin|PrimaryId=U18-Q
      );

    U17 : Configurable_U17                                   -- ObjectKind=Part|PrimaryId=U17|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U17-I0
        I1  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U17-I1
        I2  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U17-I2
        I3  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U17-I3
        I4  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U17-I4
        I5  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U17-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U17-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U17-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U17-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U17-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U17-I10
        O   => PinSignal_U17_O                               -- ObjectKind=Pin|PrimaryId=U17-O
      );

    U16 : Configurable_U16                                   -- ObjectKind=Part|PrimaryId=U16|SecondaryId=1
      Port Map
      (
        I0  => NamedSignal_A(1),                             -- ObjectKind=Pin|PrimaryId=U16-I0
        I1  => NamedSignal_A(2),                             -- ObjectKind=Pin|PrimaryId=U16-I1
        I2  => NamedSignal_A(3),                             -- ObjectKind=Pin|PrimaryId=U16-I2
        I3  => NamedSignal_A(4),                             -- ObjectKind=Pin|PrimaryId=U16-I3
        I4  => NamedSignal_A(5),                             -- ObjectKind=Pin|PrimaryId=U16-I4
        I5  => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U16-I5
        I6  => NamedSignal_A(7),                             -- ObjectKind=Pin|PrimaryId=U16-I6
        I7  => NamedSignal_A(8),                             -- ObjectKind=Pin|PrimaryId=U16-I7
        I8  => NamedSignal_A(9),                             -- ObjectKind=Pin|PrimaryId=U16-I8
        I9  => NamedSignal_A(10),                            -- ObjectKind=Pin|PrimaryId=U16-I9
        I10 => NamedSignal_A(11),                            -- ObjectKind=Pin|PrimaryId=U16-I10
        O   => PinSignal_U16_O                               -- ObjectKind=Pin|PrimaryId=U16-O
      );

    U15 : E16_4B                                             -- ObjectKind=Part|PrimaryId=U15|SecondaryId=1
      Port Map
      (
        A => PinSignal_U15_A,                                -- ObjectKind=Pin|PrimaryId=U15-A[3..0]
        D => NamedSignal_AA                                  -- ObjectKind=Pin|PrimaryId=U15-D[15..0]
      );

    U14 : LDC                                                -- ObjectKind=Part|PrimaryId=U14|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U17_O,                              -- ObjectKind=Pin|PrimaryId=U14-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U14-D
        G   => NamedSignal_A(6),                             -- ObjectKind=Pin|PrimaryId=U14-G
        Q   => PinSignal_U14_Q                               -- ObjectKind=Pin|PrimaryId=U14-Q
      );

    U13 : LDC                                                -- ObjectKind=Part|PrimaryId=U13|SecondaryId=1
      Port Map
      (
        CLR => PinSignal_U16_O,                              -- ObjectKind=Pin|PrimaryId=U13-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U13-D
        G   => NamedSignal_A(0),                             -- ObjectKind=Pin|PrimaryId=U13-G
        Q   => PinSignal_U13_Q                               -- ObjectKind=Pin|PrimaryId=U13-Q
      );

    -- Signal Assignments
    ---------------------
    NamedSignal_A                <= A; -- ObjectKind=Net|PrimaryId=A[11..0]
    NamedSignal_AA(0)            <= PinSignal_U13_Q; -- ObjectKind=Net|PrimaryId=AA0
    NamedSignal_AA(1)            <= PinSignal_U18_Q; -- ObjectKind=Net|PrimaryId=AA1
    NamedSignal_AA(10)           <= PinSignal_U31_Q; -- ObjectKind=Net|PrimaryId=AA10
    NamedSignal_AA(11)           <= PinSignal_U35_Q; -- ObjectKind=Net|PrimaryId=AA11
    NamedSignal_AA(15 downto 12) <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=AA[15..12]
    NamedSignal_AA(2)            <= PinSignal_U22_Q; -- ObjectKind=Net|PrimaryId=AA2
    NamedSignal_AA(3)            <= PinSignal_U26_Q; -- ObjectKind=Net|PrimaryId=AA3
    NamedSignal_AA(4)            <= PinSignal_U30_Q; -- ObjectKind=Net|PrimaryId=AA4
    NamedSignal_AA(5)            <= PinSignal_U34_Q; -- ObjectKind=Net|PrimaryId=AA5
    NamedSignal_AA(6)            <= PinSignal_U14_Q; -- ObjectKind=Net|PrimaryId=AA6
    NamedSignal_AA(7)            <= PinSignal_U19_Q; -- ObjectKind=Net|PrimaryId=AA7
    NamedSignal_AA(8)            <= PinSignal_U23_Q; -- ObjectKind=Net|PrimaryId=AA8
    NamedSignal_AA(9)            <= PinSignal_U27_Q; -- ObjectKind=Net|PrimaryId=AA9
    NamedSignal_GND1_BUS         <= "0000"; -- ObjectKind=Net|PrimaryId=AA[15..12]
    O                            <= PinSignal_U15_A; -- ObjectKind=Net|PrimaryId=O[3..0]
    PowerSignal_VCC              <= '1'; -- ObjectKind=Net|PrimaryId=VCC

End Structure;
------------------------------------------------------------

